import { ApiClient, BugSplatResponse, TableDataRequest, TableDataResponse } from '../../common/index';
import { CrashesApiRow, CrashesPageData } from '../index';
export declare class CrashesApiClient {
    private _client;
    private _tableDataClient;
    constructor(_client: ApiClient);
    getCrashes(request: TableDataRequest): Promise<TableDataResponse<CrashesApiRow, CrashesPageData>>;
    postNotes(database: string, id: number, notes: string): Promise<BugSplatResponse>;
}
